Entwurf Orthogonales (rechtwinkliges) Feld

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft OrthoArray and the translation is 83% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский

Draft OrthoArray.svg Entwurf AnordnungRechtwinklig

Menüeintrag
Modifikation → Anordnung Werkzeuge → Anordnung
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Entwurf PolarAnordnung, Entwurf KreisAnordnung, verknüpfte Pfadanordnung, Entwurf Punkteanordnung, verknüpfte Punkteanordnung

Beschreibung

Die Draft OrthoArray.svg Draft OrthoArray-Anweisung erstellt eine orthogonale (3-Achsen) Anordnung aus einem ausgewählten Objekt. Die Anweisung kann auch ein Verknüpungsmuster erzeugen. Dies ist effizienter, als eine rechtwinklige Feldanordnung (orthogonale Anordnung).

Diese Anweisung kann für 2D-Objekte angewendet werden, die mit der Arbeitsbereich Entwurf oder mit dem Arbeitsbereich Skizzierer erstellt wurden, aber auch auf viele 3D-Objekte, die mit anderenArbeitsbereichen erstellt wurden, wie dem Arbeitsbereich Part, Arbeitsbereich PartDesign oder dem Arbeitsbereich Architektur.

Draft Array example.png

Entwurf orthogonale Anordnung

Anwendung

  1. Wahlweise ein Objekt auswählen.
  2. Es gibt mehrere Wege, die Anweisung aufzurufen:
    • Die Schaltfläche Draft OrthoArray.svg Draft OrthoArray anzuklicken.
    • Den Menüpunkt Modification → Array tools → Draft OrthoArray.svg Array wählen.
  3. Die Orthogonal array-Aufgabenansicht wird geöffnet. Siehe auch Options.
  4. Objekt auswählen, wenn noch keines ausgewählt wurde.
  5. Die erforderlichen Parameter in die Ansicht Aufgaben eingeben.
  6. Beenden der Auswührung der Anweisung:
    • In die 3DAnsicht klicken.
    • Drücke Enter.
    • Die Schaltfläche OK anklicken.

Optionen

  • DieNumber of elements für die X, Y and Z-Richtung eingeben. Die Zahl muss mindestens 1 für jede Richtung sein.
  • Das X-Interval eingeben, um den Versatz der Elemente in X-Richtung festzulegen. Für ein rechteckiges Feld müssen die Werte für Y und Z 0 sein.
  • Das Y-Interval eingeben, um den Versatz der Elemente in Y-Richtung festzulegen. Für ein rechteckiges Feld müssen die Werte für X und Z 0 sein.
  • Das Z-Interval eingeben, um den Versatz der Elemente in Z-Richtung festzulegen. Für ein rechteckiges Feld müssen die Werte für X und Y 0 sein.
  • Auf die Reset X, Y oder Z-Schaltfläche klicken, um den Versatz in der gegangenen Richtung zurück zu den Vorgabewerten zurück zu setzen.
  • Ist das Fuse-Kästchen angehakt, werden überlappende Elemente im Feld miteinander verschmolzen. Das funktioniert nicht bei Verknüpften Feldern (link arrays).
  • Ist das Link array-Kästchen angehakt, wird ein Verknüpftes Feld anstelle eines regulären Feldes erstellt. Ein Verknüpftes Feld ist effizienter, weil seine Elemente von Anwendungsverknüpfungen Objekte sind.
  • Mit der Esc-Taste oder der Cancel-Schaltfläche kann die Ausführung abgebrochen werden.

Hinweise

  • Ein Entwurfs-OrthoFeld kann in ein Entwurf Polares Feld oder ein Kreisfeld durch die Änderung seiner DatenFeldtyp-Eigenschaft umgewandelt werden.
  • Ein Verknüpfungsfeld (Link array) kann nicht in ein reguläres Feld und umgekehrt umgewandelt werden. Die Feldart wird zum Erstellungszeitpunkt bestimmt.

Einstellungen

Siehe auch: Eigenschaftseditor und Entwurfseigenschaften.

  • Um die Anzahl der Dezimalstellen für die Eingabe der Koordinaten zu ändern: Bearbeiten → Eigenschaften... → Allgemein → Einheiten → Einheiten-Einstellungen → Anzahl der Nachkommastellen

Eigenschaften

Siehe auch: Eigenschaftseditor.

Die Entwurfs-OrthoFeld Anweisung, die Entwurf PolarAnordnungsanweisung und die Entwurf KreisAnordnungsanweisung erstellen das gleiche Objekt. Dieses Objekt ist von einem Part Formelement-Objekt abgeleitet und erbt alle Eigenschaften, mit Ausnahme einiger Ansichtseigenschaften, die nicht von Verknüpfungsfeldern geerbt wurden. Die folgenden Eigenschaften gibt es zusätzlich, wenn nicht anders angegeben:

Daten

Verknüpfung

Die Eigenschaften dieser Gruppe gibt es nur für Vernüpfte Felder (link arrays). Siehe auch Std VernüpfungMachen.

  • DatenScale (Float)
  • Daten (Hidden)Scale Vector (Vector)
  • DatenScale List (VectorList)
  • Daten (Hidden)Visibility List (BoolList)
  • Daten (Hidden)Placement List (PlacementList)
  • Daten (Hidden)Element List (LinkList)
  • Daten (Hidden)_ Link Touched (Bool)
  • Daten (Hidden)_ Child Cache (LinkList)
  • Daten (Hidden)Colored Elements (LinkSubHidden)
  • DatenLink Transform (Bool)

Kreisanordnung

Die Eigenschaften dieser Gruppe sind vor ortogonalen und polaren Feldern verborgen.

  • DatenNumber Circles (Integer): specifies the number of circular layers. Must be at least 2.
  • DatenRadial Distance (Distance): specifies the distance between circular layers.
  • DatenSymmetry (Integer): specifies the number of symmetry lines. This number changes the distribution of the elements in the array.
  • DatenTangential Distance (Distance): specifies the distance between elements in the same circular layer. Must be larger than zero.

Objekte

  • DatenArray Type (Enumeration): specifies the type of array, which can be ortho, polar or circular.
  • DatenAxis Reference (LinkGlobal): specifies the object and edge to be used instead of the DatenAxis and DatenCenter properties. Not used for orthogonal arrays.
  • DatenBase (Link): specifies the object to duplicate in the array.
  • DatenCount (Integer): (read-only) specifies the total number of elements in the array. Only available for Link arrays.
  • DatenExpand Array (Bool): specifies whether to expand the array in the Tree view to enable the selection of its individual elements. Only available for Link arrays.
  • DatenFuse (Bool): specifies if overlapping elements in the array are fused or not. Not used for Link arrays.

Orthogonales Feld

The properties in this group are hidden for circular arrays and polar arrays.

  • DatenInterval X (VectorDistance): specifies the interval between elements in the X direction.
  • DatenInterval Y (VectorDistance): specifies the interval between elements in the Y direction.
  • DatenInterval Z (VectorDistance): specifies the interval between elements in the Z direction.
  • DatenNumber X (Integer): specifies the number of elements in the X direction. Must be at least 1.
  • DatenNumber Y (Integer): specifies the number of elements in the Y direction. Must be at least 1.
  • DatenNumber Z (Integer): specifies the number of elements in the Z direction. Must be at least 1.

Polares Feld

The properties in this group are hidden for circular arrays and orthogonal arrays.

  • DatenAngle (Angle): specifies the aperture of the circular arc. Use 360° for a full circle.
  • DatenInterval Axis (VectorDistance): specifies the interval between elements in the DatenAxis direction.
  • DatenNumber Polar (Integer): specifies the number of elements in the polar direction.

Polar/circular array

Die Eigenschaften dieser Gruppe sind vor orthogonalen Feldern verborgen.

  • DatenAxis (Vector): specifies the direction of the axis of the array.
  • DatenCenter (VectorDistance): specifies the center point of the array. The axis of the array passes through this point. For circular arrays it is an offset from the DatenPlacement of the DatenBase object.

Ansicht

Verknüpfung

The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.

  • AnsichtDraw Style (Enumeration)
  • AnsichtLine Width (FloatConstraint)
  • AnsichtOverride Material (Bool)
  • AnsichtPoint Size (FloatConstraint)
  • AnsichtSelectable (Bool): this is an inherited property that appears in the Selection group for other arrays
  • AnsichtShape Material (Material)

Basis

Die Eigenschaften dieser Gruppe, mit Ausnahme der vererbten Eigenschaft, gibt es nur für verknüpfte Anordnungen.Siehe auch Std LinkMake.

  • Ansicht (Hidden)Child View Provider (PersistentObject)
  • Ansicht (Hidden)Material List (MaterialList)
  • Ansicht (Hidden)Override Color List (ColorList)
  • Ansicht (Hidden)Override Material List (BoolList)
  • Ansicht (Hidden)Proxy (PythonObject): this is an inherited property.

Zeige Auswahlmöglichkeiten

Die Eigenschaften in dieser Gruppe sind vererbte Eigenschaften. Siehe auch Part Formelement.

  • AnsichtBounding Box (Bool): diese Eigenschaft ist nicht durch Verknüpfungsfelder vererbt.
  • AnsichtDisplay Mode (Enumeration): für Verknüpfungsfelder kann es Link oder ChildView sein. Für andere Felder können es: Flat Lines, Shaded, Wireframe oder Points sein.
  • AnsichtShow In Tree (Bool)
  • AnsichtVisibility (Bool)

Entwurf

  • AnsichtPattern (Enumeration): nicht verwendet.
  • AnsichtPattern Size (Float): nicht verwendet.

Objectstil

Die Eigenschaften dieser Gruppe sind nicht durch Verknüpfungsfelder vererbt.

Skripten

Siehe auch: Autogenerated API documentation und FreeCAD Grundlagen Skripten.

Parametrische Anordnung

Um ein parametrisches rechteckiges Feld zu erstellen, wird die make_array-Methode (introduced in version 0.19) des Entwurfmodules verwendet. Diese Methode ersetzt die veraltete makeArray-Methode. Die make_array-Methode kann Entwurfs-OrthoFelder, Entwurf PolarAnordnung und Entwurf Kreisanordnung erstellen. Für jeden Feldtyp gibt es ein oder mehrere Verbinder (wrappers).

Die main Methode:

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

Die Verbinder (wrapper) für orthogonale Anordnungen sind:

array = make_ortho_array(base_object,
                         v_x=App.Vector(10, 0, 0), v_y=App.Vector(0, 10, 0), v_z=App.Vector(0, 0, 10),
                         n_x=2, n_y=2, n_z=1,
                         use_link=True)
array = make_ortho_array2d(base_object,
                           v_x=App.Vector(10, 0, 0), v_y=App.Vector(0, 10, 0),
                           n_x=2, n_y=2,
                           use_link=True)

Die Verbinder (wrapper) für rechteckige Anordnungen sind:

array = make_rect_array(base_object,
                        d_x=10, d_y=10, d_z=10,
                        n_x=2, n_y=2, n_z=1,
                        use_link=True)
array = make_rect_array2d(base_object,
                          d_x=10, d_y=10,
                          n_x=2, n_y=2,
                          use_link=True)
  • base_object is the object to be arrayed. It can also be the Label (string) of an object in the current document.
  • v_x, v_y, and v_z are the vectors between the base points of the elements in the respective directions.
  • d_x, d_y, and d_z are the distances between the base points of the elements in the respective directions.
  • n_x, n_y, and n_z are the numbers of elements in the respective directions.
  • If use_link is True the created elements are App Links instead of regular copies.
  • array is returned with the created array object.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

rect = Draft.make_rectangle(1500, 500)
v_x = App.Vector(1600, 0, 0)
v_y = App.Vector(0, 600, 0)

array = Draft.make_ortho_array2d(rect, v_x, v_y, 3, 4)
doc.recompute()

Feste Anordnung (nicht parametrisch)

Um eine feste, nicht parametrische Anordnung zu erstellen, verwendet man die array-Methode des Enwurfmoduls. Diese Methode gibt None aus.

array(objectslist, xvector, yvector, xnum, ynum)
array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

rect = Draft.make_rectangle(1500, 500)
v_x = App.Vector(1600, 0, 0)
v_y = App.Vector(0, 600, 0)

Draft.array(rect, v_x, v_y, 3, 4)
doc.recompute()


Arrow-left.svg Vorherige: Draft Clone.svg Klon
Nächste: polare Anordnung Draft PolarArray.svg Arrow-right.svg